Package csb :: Package io :: Module tsv :: Class ColumnInfo

[frames] | no frames]

# Class ColumnInfo

source code

    object --+
             |
            ColumnInfo

Holder object for column metadata.

Instance Methods

__init__(self, name, type) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__str__(self) str(x) | source code

copy(self) Returns: a deep copy of `self` | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
str | name Colulmn name
class | type Python data type
Inherited from `object`: `__class__`

Method Details

### __init__(self, name, type)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `name` (str) - column name
  - `type` (type) - column data type (Python)
Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

### copy(self)

source code

Returns:
  a deep copy of `self`

Property Details

### name

Colulmn name

Get Method:
  unreachable.name(self) - Colulmn name
Type:
  str

### type

Python data type

Get Method:
  unreachable.type(self) - Python data type
Type:
  class